#include <iostream>


using namespace std;

int main(int argc, char** argv) {
	int n,k,tr,prvi,nadjen,i =0;
	
	cin>>n>>k;
	
	while(i<n){
	
		cin>>tr;
		if(i==0){
			prvi=tr;
		}
		
		
		if(tr==k){
			
			if(i==(n-1)){
				nadjen=prvi;
			}
			else{
				cin>>nadjen;
				i++;	
			}
		}
		
		
		
	i++;	
	}
	
	
	cout<<nadjen;
	
	
	
	return 0;
}